Gentoo Archives: gentoo-commits

From: "Michał Górny" <mgorny@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/docbook-sgml-dtd/, app-text/docbook-sgml-dtd/files/
Date: Wed, 11 Sep 2019 17:58:15
Message-Id: 1568224642.63e1c71a5b79065049482742e650c0ebacf42bc3.mgorny@gentoo
commit:     63e1c71a5b79065049482742e650c0ebacf42bc3
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  3 20:27:44 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Sep 11 17:57:22 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=63e1c71a

app-text/docbook-sgml-dtd: Bump to EAPI 7, use sgml-catalog-r1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../docbook-sgml-dtd-3.0-r4.ebuild                 | 44 ++++++++++++++++++++++
 .../docbook-sgml-dtd-3.1-r4.ebuild                 | 44 ++++++++++++++++++++++
 .../docbook-sgml-dtd-4.0-r4.ebuild                 | 44 ++++++++++++++++++++++
 .../docbook-sgml-dtd-4.1-r4.ebuild                 | 44 ++++++++++++++++++++++
 .../docbook-sgml-dtd-4.2-r3.ebuild                 | 44 ++++++++++++++++++++++
 .../docbook-sgml-dtd-4.3-r3.ebuild                 | 44 ++++++++++++++++++++++
 .../docbook-sgml-dtd-4.4-r1.ebuild                 | 44 ++++++++++++++++++++++
 .../docbook-sgml-dtd-4.5-r1.ebuild                 | 44 ++++++++++++++++++++++
 .../files/docbook-sgml-dtd-3.0-catalog.diff        |  4 +-
 .../files/docbook-sgml-dtd-3.1-catalog.diff        |  4 +-
 .../files/docbook-sgml-dtd-4.0-catalog.diff        |  4 +-
 .../files/docbook-sgml-dtd-4.1-catalog.diff        |  4 +-
 .../files/docbook-sgml-dtd-4.2-catalog.diff        |  4 +-
 .../files/docbook-sgml-dtd-4.3-catalog.diff        |  4 +-
 .../files/docbook-sgml-dtd-4.4-catalog.diff        |  4 +-
 .../files/docbook-sgml-dtd-4.5-catalog.diff        |  4 +-
 16 files changed, 368 insertions(+), 16 deletions(-)

diff --git a/app-text/docbook-sgml-dtd/docbook-sgml-dtd-3.0-r4.ebuild b/app-text/docbook-sgml-dtd/docbook-sgml-dtd-3.0-r4.ebuild
new file mode 100644
index 00000000000..d72a8256809
--- /dev/null
+++ b/app-text/docbook-sgml-dtd/docbook-sgml-dtd-3.0-r4.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit sgml-catalog-r1
+
+MY_P="docbk${PV/./}"
+DESCRIPTION="Docbook SGML DTD ${PV}"
+HOMEPAGE="https://docbook.org/sgml/"
+SRC_URI="https://www.oasis-open.org/docbook/sgml/${PV}/${MY_P}.zip"
+
+LICENSE="docbook"
+SLOT="${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE=""
+
+DEPEND=">=app-arch/unzip-5.41"
+
+S="${WORKDIR}"
+PATCHES=( "${FILESDIR}"/${P}-catalog.diff )
+
+src_install() {
+	insinto /usr/share/sgml/docbook/sgml-dtd-${PV}
+	doins *.dcl *.dtd *.mod
+	newins docbook.cat catalog
+	insinto /etc/sgml
+	newins - sgml-docbook-${PV}.cat <<-EOF
+		CATALOG "${EPREFIX}/usr/share/sgml/docbook/sgml-dtd-${PV}/catalog"
+		CATALOG "${EPREFIX}/etc/sgml/sgml-docbook.cat"
+	EOF
+	dodoc *.txt
+}
+
+pkg_preinst() {
+	# work-around -r3 postrm removing it
+	cp "${ED}"/etc/sgml/sgml-docbook-${PV}.cat "${T}" || die
+}
+
+pkg_postinst() {
+	if [[ ! -f ${EROOT}/etc/sgml/sgml-docbook-${PV}.cat ]]; then
+		cp "${T}"/sgml-docbook-${PV}.cat "${EROOT}"/etc/sgml/ || die
+	fi
+	sgml-catalog-r1_pkg_postinst
+}

diff --git a/app-text/docbook-sgml-dtd/docbook-sgml-dtd-3.1-r4.ebuild b/app-text/docbook-sgml-dtd/docbook-sgml-dtd-3.1-r4.ebuild
new file mode 100644
index 00000000000..d72a8256809
--- /dev/null
+++ b/app-text/docbook-sgml-dtd/docbook-sgml-dtd-3.1-r4.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit sgml-catalog-r1
+
+MY_P="docbk${PV/./}"
+DESCRIPTION="Docbook SGML DTD ${PV}"
+HOMEPAGE="https://docbook.org/sgml/"
+SRC_URI="https://www.oasis-open.org/docbook/sgml/${PV}/${MY_P}.zip"
+
+LICENSE="docbook"
+SLOT="${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE=""
+
+DEPEND=">=app-arch/unzip-5.41"
+
+S="${WORKDIR}"
+PATCHES=( "${FILESDIR}"/${P}-catalog.diff )
+
+src_install() {
+	insinto /usr/share/sgml/docbook/sgml-dtd-${PV}
+	doins *.dcl *.dtd *.mod
+	newins docbook.cat catalog
+	insinto /etc/sgml
+	newins - sgml-docbook-${PV}.cat <<-EOF
+		CATALOG "${EPREFIX}/usr/share/sgml/docbook/sgml-dtd-${PV}/catalog"
+		CATALOG "${EPREFIX}/etc/sgml/sgml-docbook.cat"
+	EOF
+	dodoc *.txt
+}
+
+pkg_preinst() {
+	# work-around -r3 postrm removing it
+	cp "${ED}"/etc/sgml/sgml-docbook-${PV}.cat "${T}" || die
+}
+
+pkg_postinst() {
+	if [[ ! -f ${EROOT}/etc/sgml/sgml-docbook-${PV}.cat ]]; then
+		cp "${T}"/sgml-docbook-${PV}.cat "${EROOT}"/etc/sgml/ || die
+	fi
+	sgml-catalog-r1_pkg_postinst
+}

diff --git a/app-text/docbook-sgml-dtd/docbook-sgml-dtd-4.0-r4.ebuild b/app-text/docbook-sgml-dtd/docbook-sgml-dtd-4.0-r4.ebuild
new file mode 100644
index 00000000000..d72a8256809
--- /dev/null
+++ b/app-text/docbook-sgml-dtd/docbook-sgml-dtd-4.0-r4.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit sgml-catalog-r1
+
+MY_P="docbk${PV/./}"
+DESCRIPTION="Docbook SGML DTD ${PV}"
+HOMEPAGE="https://docbook.org/sgml/"
+SRC_URI="https://www.oasis-open.org/docbook/sgml/${PV}/${MY_P}.zip"
+
+LICENSE="docbook"
+SLOT="${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE=""
+
+DEPEND=">=app-arch/unzip-5.41"
+
+S="${WORKDIR}"
+PATCHES=( "${FILESDIR}"/${P}-catalog.diff )
+
+src_install() {
+	insinto /usr/share/sgml/docbook/sgml-dtd-${PV}
+	doins *.dcl *.dtd *.mod
+	newins docbook.cat catalog
+	insinto /etc/sgml
+	newins - sgml-docbook-${PV}.cat <<-EOF
+		CATALOG "${EPREFIX}/usr/share/sgml/docbook/sgml-dtd-${PV}/catalog"
+		CATALOG "${EPREFIX}/etc/sgml/sgml-docbook.cat"
+	EOF
+	dodoc *.txt
+}
+
+pkg_preinst() {
+	# work-around -r3 postrm removing it
+	cp "${ED}"/etc/sgml/sgml-docbook-${PV}.cat "${T}" || die
+}
+
+pkg_postinst() {
+	if [[ ! -f ${EROOT}/etc/sgml/sgml-docbook-${PV}.cat ]]; then
+		cp "${T}"/sgml-docbook-${PV}.cat "${EROOT}"/etc/sgml/ || die
+	fi
+	sgml-catalog-r1_pkg_postinst
+}

diff --git a/app-text/docbook-sgml-dtd/docbook-sgml-dtd-4.1-r4.ebuild b/app-text/docbook-sgml-dtd/docbook-sgml-dtd-4.1-r4.ebuild
new file mode 100644
index 00000000000..d72a8256809
--- /dev/null
+++ b/app-text/docbook-sgml-dtd/docbook-sgml-dtd-4.1-r4.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit sgml-catalog-r1
+
+MY_P="docbk${PV/./}"
+DESCRIPTION="Docbook SGML DTD ${PV}"
+HOMEPAGE="https://docbook.org/sgml/"
+SRC_URI="https://www.oasis-open.org/docbook/sgml/${PV}/${MY_P}.zip"
+
+LICENSE="docbook"
+SLOT="${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE=""
+
+DEPEND=">=app-arch/unzip-5.41"
+
+S="${WORKDIR}"
+PATCHES=( "${FILESDIR}"/${P}-catalog.diff )
+
+src_install() {
+	insinto /usr/share/sgml/docbook/sgml-dtd-${PV}
+	doins *.dcl *.dtd *.mod
+	newins docbook.cat catalog
+	insinto /etc/sgml
+	newins - sgml-docbook-${PV}.cat <<-EOF
+		CATALOG "${EPREFIX}/usr/share/sgml/docbook/sgml-dtd-${PV}/catalog"
+		CATALOG "${EPREFIX}/etc/sgml/sgml-docbook.cat"
+	EOF
+	dodoc *.txt
+}
+
+pkg_preinst() {
+	# work-around -r3 postrm removing it
+	cp "${ED}"/etc/sgml/sgml-docbook-${PV}.cat "${T}" || die
+}
+
+pkg_postinst() {
+	if [[ ! -f ${EROOT}/etc/sgml/sgml-docbook-${PV}.cat ]]; then
+		cp "${T}"/sgml-docbook-${PV}.cat "${EROOT}"/etc/sgml/ || die
+	fi
+	sgml-catalog-r1_pkg_postinst
+}

diff --git a/app-text/docbook-sgml-dtd/docbook-sgml-dtd-4.2-r3.ebuild b/app-text/docbook-sgml-dtd/docbook-sgml-dtd-4.2-r3.ebuild
new file mode 100644
index 00000000000..868d3429aec
--- /dev/null
+++ b/app-text/docbook-sgml-dtd/docbook-sgml-dtd-4.2-r3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit sgml-catalog-r1
+
+MY_P="docbook-${PV}"
+DESCRIPTION="Docbook SGML DTD ${PV}"
+HOMEPAGE="https://docbook.org/sgml/"
+SRC_URI="https://www.oasis-open.org/docbook/sgml/${PV}/${MY_P}.zip"
+
+LICENSE="docbook"
+SLOT="${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE=""
+
+DEPEND=">=app-arch/unzip-5.41"
+
+S="${WORKDIR}"
+PATCHES=( "${FILESDIR}"/${P}-catalog.diff )
+
+src_install() {
+	insinto /usr/share/sgml/docbook/sgml-dtd-${PV}
+	doins *.dcl *.dtd *.mod
+	newins docbook.cat catalog
+	insinto /etc/sgml
+	newins - sgml-docbook-${PV}.cat <<-EOF
+		CATALOG "${EPREFIX}/usr/share/sgml/docbook/sgml-dtd-${PV}/catalog"
+		CATALOG "${EPREFIX}/etc/sgml/sgml-docbook.cat"
+	EOF
+	dodoc ChangeLog README
+}
+
+pkg_preinst() {
+	# work-around -r2 postrm removing it
+	cp "${ED}"/etc/sgml/sgml-docbook-${PV}.cat "${T}" || die
+}
+
+pkg_postinst() {
+	if [[ ! -f ${EROOT}/etc/sgml/sgml-docbook-${PV}.cat ]]; then
+		cp "${T}"/sgml-docbook-${PV}.cat "${EROOT}"/etc/sgml/ || die
+	fi
+	sgml-catalog-r1_pkg_postinst
+}

diff --git a/app-text/docbook-sgml-dtd/docbook-sgml-dtd-4.3-r3.ebuild b/app-text/docbook-sgml-dtd/docbook-sgml-dtd-4.3-r3.ebuild
new file mode 100644
index 00000000000..65e94280b8f
--- /dev/null
+++ b/app-text/docbook-sgml-dtd/docbook-sgml-dtd-4.3-r3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit sgml-catalog-r1
+
+MY_P="docbook-${PV}"
+DESCRIPTION="Docbook SGML DTD ${PV}"
+HOMEPAGE="https://docbook.org/sgml/"
+SRC_URI="https://docbook.org/sgml/${PV}/${MY_P}.zip"
+
+LICENSE="docbook"
+SLOT="${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE=""
+
+DEPEND=">=app-arch/unzip-5.41"
+
+S="${WORKDIR}"
+PATCHES=( "${FILESDIR}"/${P}-catalog.diff )
+
+src_install() {
+	insinto /usr/share/sgml/docbook/sgml-dtd-${PV}
+	doins *.dcl *.dtd *.mod
+	newins docbook.cat catalog
+	insinto /etc/sgml
+	newins - sgml-docbook-${PV}.cat <<-EOF
+		CATALOG "${EPREFIX}/usr/share/sgml/docbook/sgml-dtd-${PV}/catalog"
+		CATALOG "${EPREFIX}/etc/sgml/sgml-docbook.cat"
+	EOF
+	dodoc ChangeLog README
+}
+
+pkg_preinst() {
+	# work-around -r2 postrm removing it
+	cp "${ED}"/etc/sgml/sgml-docbook-${PV}.cat "${T}" || die
+}
+
+pkg_postinst() {
+	if [[ ! -f ${EROOT}/etc/sgml/sgml-docbook-${PV}.cat ]]; then
+		cp "${T}"/sgml-docbook-${PV}.cat "${EROOT}"/etc/sgml/ || die
+	fi
+	sgml-catalog-r1_pkg_postinst
+}

diff --git a/app-text/docbook-sgml-dtd/docbook-sgml-dtd-4.4-r1.ebuild b/app-text/docbook-sgml-dtd/docbook-sgml-dtd-4.4-r1.ebuild
new file mode 100644
index 00000000000..8e65feba19d
--- /dev/null
+++ b/app-text/docbook-sgml-dtd/docbook-sgml-dtd-4.4-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit sgml-catalog-r1
+
+MY_P="docbook-${PV}"
+DESCRIPTION="Docbook SGML DTD ${PV}"
+HOMEPAGE="https://docbook.org/sgml/"
+SRC_URI="https://docbook.org/sgml/${PV}/${MY_P}.zip"
+
+LICENSE="docbook"
+SLOT="${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE=""
+
+DEPEND=">=app-arch/unzip-5.41"
+
+S="${WORKDIR}"
+PATCHES=( "${FILESDIR}"/${P}-catalog.diff )
+
+src_install() {
+	insinto /usr/share/sgml/docbook/sgml-dtd-${PV}
+	doins *.dcl *.dtd *.mod
+	newins docbook.cat catalog
+	insinto /etc/sgml
+	newins - sgml-docbook-${PV}.cat <<-EOF
+		CATALOG "${EPREFIX}/usr/share/sgml/docbook/sgml-dtd-${PV}/catalog"
+		CATALOG "${EPREFIX}/etc/sgml/sgml-docbook.cat"
+	EOF
+	dodoc ChangeLog README
+}
+
+pkg_preinst() {
+	# work-around -r0 postrm removing it
+	cp "${ED}"/etc/sgml/sgml-docbook-${PV}.cat "${T}" || die
+}
+
+pkg_postinst() {
+	if [[ ! -f ${EROOT}/etc/sgml/sgml-docbook-${PV}.cat ]]; then
+		cp "${T}"/sgml-docbook-${PV}.cat "${EROOT}"/etc/sgml/ || die
+	fi
+	sgml-catalog-r1_pkg_postinst
+}

diff --git a/app-text/docbook-sgml-dtd/docbook-sgml-dtd-4.5-r1.ebuild b/app-text/docbook-sgml-dtd/docbook-sgml-dtd-4.5-r1.ebuild
new file mode 100644
index 00000000000..f72a63fe757
--- /dev/null
+++ b/app-text/docbook-sgml-dtd/docbook-sgml-dtd-4.5-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit sgml-catalog-r1
+
+MY_P="docbook-${PV}"
+DESCRIPTION="Docbook SGML DTD ${PV}"
+HOMEPAGE="https://docbook.org/sgml/"
+SRC_URI="https://docbook.org/sgml/${PV}/${MY_P}.zip"
+
+LICENSE="docbook"
+SLOT="${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE=""
+
+DEPEND=">=app-arch/unzip-5.41"
+
+S="${WORKDIR}"
+PATCHES=( "${FILESDIR}"/${P}-catalog.diff )
+
+src_install() {
+	insinto /usr/share/sgml/docbook/sgml-dtd-${PV}
+	doins *.dcl *.dtd *.mod *.xml
+	newins docbook.cat catalog
+	insinto /etc/sgml
+	newins - sgml-docbook-${PV}.cat <<-EOF
+		CATALOG "${EPREFIX}/usr/share/sgml/docbook/sgml-dtd-${PV}/catalog"
+		CATALOG "${EPREFIX}/etc/sgml/sgml-docbook.cat"
+	EOF
+	dodoc README
+}
+
+pkg_preinst() {
+	# work-around -r0 postrm removing it
+	cp "${ED}"/etc/sgml/sgml-docbook-${PV}.cat "${T}" || die
+}
+
+pkg_postinst() {
+	if [[ ! -f ${EROOT}/etc/sgml/sgml-docbook-${PV}.cat ]]; then
+		cp "${T}"/sgml-docbook-${PV}.cat "${EROOT}"/etc/sgml/ || die
+	fi
+	sgml-catalog-r1_pkg_postinst
+}

diff --git a/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-3.0-catalog.diff b/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-3.0-catalog.diff
index 224f98ca59c..b08003c09ca 100644
--- a/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-3.0-catalog.diff
+++ b/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-3.0-catalog.diff
@@ -1,5 +1,5 @@
---- docbook.cat	Tue Dec 10 16:35:22 1996
-+++ catalog	Mon Jun  5 11:08:34 2000
+--- a/docbook.cat	Tue Dec 10 16:35:22 1996
++++ b/docbook.cat	Mon Jun  5 11:08:34 2000
 @@ -41,29 +41,6 @@
  PUBLIC "-//Davenport//ELEMENTS DocBook Information Pool V3.0//EN" "dbpool.mod"
  PUBLIC "-//Davenport//ELEMENTS DocBook Document Hierarchy V3.0//EN" "dbhier.mod"

diff --git a/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-3.1-catalog.diff b/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-3.1-catalog.diff
index 51afa752ad2..df1507975ac 100644
--- a/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-3.1-catalog.diff
+++ b/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-3.1-catalog.diff
@@ -1,5 +1,5 @@
---- docbook.cat	Tue Feb  2 06:53:32 1999
-+++ catalog	Thu May 25 11:45:01 2000
+--- a/docbook.cat	Tue Feb  2 06:53:32 1999
++++ b/docbook.cat	Thu May 25 11:45:01 2000
 @@ -35,29 +35,6 @@
  PUBLIC "-//OASIS//ENTITIES DocBook Additional General Entities V3.1//EN" "dbgenent.mod"
  PUBLIC "-//OASIS//ENTITIES DocBook Notations V3.1//EN" "dbnotn.mod"

diff --git a/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.0-catalog.diff b/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.0-catalog.diff
index dd83fdf12b5..82944d0b871 100644
--- a/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.0-catalog.diff
+++ b/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.0-catalog.diff
@@ -1,5 +1,5 @@
---- docbook.cat	Mon May 22 22:38:05 2000
-+++ catalog	Mon May 22 22:12:36 2000
+--- a/docbook.cat	Mon May 22 22:38:05 2000
++++ b/docbook.cat	Mon May 22 22:12:36 2000
 @@ -35,29 +35,6 @@
  PUBLIC "-//OASIS//ENTITIES DocBook Additional General Entities V4.0//EN" "dbgenent.mod"
  PUBLIC "-//OASIS//ENTITIES DocBook Notations V4.0//EN" "dbnotn.mod"

diff --git a/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.1-catalog.diff b/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.1-catalog.diff
index 656ee333f45..a68644aa173 100644
--- a/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.1-catalog.diff
+++ b/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.1-catalog.diff
@@ -1,5 +1,5 @@
---- docbook.cat	Mon May 22 22:38:05 2000
-+++ catalog	Mon May 22 22:12:36 2000
+--- a/docbook.cat	Mon May 22 22:38:05 2000
++++ b/docbook.cat	Mon May 22 22:12:36 2000
 @@ -35,29 +35,6 @@
  PUBLIC "-//OASIS//ENTITIES DocBook Additional General Entities V4.1//EN" "dbgenent.mod"
  PUBLIC "-//OASIS//ENTITIES DocBook Notations V4.1//EN" "dbnotn.mod"

diff --git a/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.2-catalog.diff b/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.2-catalog.diff
index d9b232fd811..d328fdbb322 100644
--- a/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.2-catalog.diff
+++ b/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.2-catalog.diff
@@ -1,6 +1,6 @@
 diff -uNr 4.2/docbook.cat 4.2-gentoo/docbook.cat
---- 4.2/docbook.cat	2002-07-18 00:14:28.000000000 +0800
-+++ 4.2-gentoo/docbook.cat	2003-01-18 22:25:05.000000000 +0800
+--- a/docbook.cat	2002-07-18 00:14:28.000000000 +0800
++++ b/docbook.cat	2003-01-18 22:25:05.000000000 +0800
 @@ -19,6 +19,8 @@
    -- ...................................................................... --
    -- DocBook driver file .................................................. --

diff --git a/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.3-catalog.diff b/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.3-catalog.diff
index ce532355e4a..207460ba6f9 100644
--- a/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.3-catalog.diff
+++ b/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.3-catalog.diff
@@ -1,5 +1,5 @@
---- docbook.cat	2004-03-31 20:44:16.000000000 +0900
-+++ docbook.cat-gentoo	2004-10-17 20:37:51.000000000 +0900
+--- a/docbook.cat	2004-03-31 20:44:16.000000000 +0900
++++ b/docbook.cat	2004-10-17 20:37:51.000000000 +0900
 @@ -19,6 +19,8 @@
    -- ...................................................................... --
    -- DocBook driver file .................................................. --

diff --git a/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.4-catalog.diff b/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.4-catalog.diff
index 5c16801a090..c473d70db4f 100644
--- a/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.4-catalog.diff
+++ b/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.4-catalog.diff
@@ -1,5 +1,5 @@
---- docbook.cat	2005-01-27 08:59:49.000000000 -0500
-+++ docbook.cat-gentoo	2005-07-11 21:12:28.000000000 -0500
+--- a/docbook.cat	2005-01-27 08:59:49.000000000 -0500
++++ b/docbook.cat	2005-07-11 21:12:28.000000000 -0500
 @@ -19,6 +19,8 @@
    -- ...................................................................... --
    -- DocBook driver file .................................................. --

diff --git a/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.5-catalog.diff b/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.5-catalog.diff
index b7405283f88..cde8f541e98 100644
--- a/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.5-catalog.diff
+++ b/app-text/docbook-sgml-dtd/files/docbook-sgml-dtd-4.5-catalog.diff
@@ -1,6 +1,6 @@
 diff -NurdB docbook-sgml-dtd/docbook.cat docbook-sgml-dtd_patch/docbook.cat
---- docbook-sgml-dtd/docbook.cat	2006-10-03 15:27:50.000000000 +0200
-+++ docbook-sgml-dtd_patch/docbook.cat	2007-08-14 00:43:31.485987458 +0200
+--- a/docbook.cat	2006-10-03 15:27:50.000000000 +0200
++++ b/docbook.cat	2007-08-14 00:43:31.485987458 +0200
 @@ -19,6 +19,8 @@
    -- ...................................................................... --
    -- DocBook driver file .................................................. --